+++
title = "mail"
taxonomies.categories = [ "services" ]
+++

- runs on: parsons
- purpose: sending mails
- maintainer: ?
- configuration: [nix file](https://gitlab.infra4future.de/infra/haccfiles/-/blob/main/services/mail.nix)
- login: passwords defined in nixfile

## adding a mail account
* We use `@hacc.space` for our mails
* `@infra4future.de` is reserved for services, old user accounts will be forwarded & logins disabled
* choose a name (no aliases or other names can be the same)
* generate a sha-512 password hash ```mkpasswd -m sha-512``` - **never add an unhashed password!**
* add your accunt to ```loginAccounts =```  in the [nix file](https://gitlab.infra4future.de/infra/haccfiles/-/blob/main/services/mail.nix#L16)
* build and redeploy parsons

**example:**
```
zwoelfontheshelf@hacc.space" = {
	hashedPassword = "$6$ISAaU8X6D$oGKe9WXDWrRpGzHUEdxrxdtgvzuGOkBMuDc82IZhegpsv1bqd550FhZZrI40IjZTA5Hy2MZ8j/0efpnQ4fOQH0";
};
```

## adding to a forward adress
* add the mail address to the coresponding `extraVirtualAliases =` in the [nix file](https://gitlab.infra4future.de/infra/haccfiles/-/blob/main/services/mail.nix#L80)
* build and redeploy parsons

## adding a forward adress
* add the address to `extraVirtualAliases =` in the [nix file](https://gitlab.infra4future.de/infra/haccfiles/-/blob/main/services/mail.nix#L80)
* add the addresses it should forward to
* build and redeploy parsons

**example:**
```
"himmel@hacc.space" = [
	"hexchen@hacc.space"
	"schweby@hacc.space"
	"zauberberg@hacc.space"
];
```

## sending & reciveing mail

### as a user
* Your mail client should auto configure correctly

```
mailserver: mail.hacc.space (everywhere)
username: $your_mail_address
sending via smtp: port 587 or 465
recieving
	imap: port 993
TLS and STARTTLS are supported
  ```

* You can send mail as you and any alias you recieve mail from. Set a second Identity in your e-mail client

### as an application
* If your application needs to recieve mail, please talk to a maintainer first.
* mailserver: `mail.hacc.space`
* Do **not** use port 25. It's for server to server communication only.
* Use smtp ports `587` or `465`
* enable TLS if possible
* only send mail from `noreply@infra4future.de`
* Password is in vaultwarden (TODO?)

